// Copyright Marcus Del Favero 2025
// Licensed under the GNU AGPLv3 with an exception, see `README.md` for details
#[cfg(feature = "client")] mod renderer;

#[cfg(feature = "client")] pub use renderer::Renderer as ForcefieldRenderer;

use glam::Vec2;

use super::{PlayerId, TeamId};

pub struct Forcefield {
	pub player_id: PlayerId,
	pub team_id: Option<TeamId>,
	pub pos: Vec2,
	pub strength: f32,
}

pub const RADIUS: f32 = 4.0;
